WKSSubDocument Class Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
WKSSubDocument Class Referenceabstract

Basic class used to store a spreadsheet sub document. More...

`#include <WKSSubDocument.h>`

Inheritance diagram for WKSSubDocument:

## Public Member Functions
| WKSSubDocument (RVNGInputStreamPtr const &input, WKSParser *parser, int id=0)
| constructor
| ~WKSSubDocument () override
| destructor
WKSParser * | parser () const
| returns the parser
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const override
| an operator =
virtual void | parse (std::shared_ptr< WKSContentListener > &listener, libwps::SubDocumentType subDocumentType)=0
| virtual parse function
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor
virtual | ~WPSSubDocument ()
| destructor
RVNGInputStreamPtr & | getInput ()
| returns the input
int | id () const
| get the identificator
void | setId (int i)
| set the identificator
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Protected Attributes
WKSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Private Member Functions
| WKSSubDocument (const WKSSubDocument &)=delete
WKSSubDocument & | operator= (const WKSSubDocument &)=delete

## Detailed Description

Basic class used to store a spreadsheet sub document.

## Constructor & Destructor Documentation

## ◆ WKSSubDocument() [1/2]

WKSSubDocument::WKSSubDocument | ( | RVNGInputStreamPtr const & | input,
|  | WKSParser * | parser,
|  | int | id = 0 )

constructor

Referenced by operator=(), operator==(), LotusGraphInternal::SubDocument::SubDocument(), LotusSpreadsheetInternal::SubDocument::SubDocument(), Quattro9GraphInternal::SubDocument::SubDocument(), Quattro9ParserInternal::SubDocument::SubDocument(), QuattroDosParserInternal::SubDocument::SubDocument(), QuattroGraphInternal::SubDocument::SubDocument(), QuattroGraphInternal::SubDocument::SubDocument(), QuattroParserInternal::SubDocument::SubDocument(), WKS4ParserInternal::SubDocument::SubDocument(), WKSChartInternal::SubDocument::SubDocument(), and WKSSubDocument().

## ◆ ~WKSSubDocument()

WKSSubDocument::~WKSSubDocument | ( |  | ) |
| override

destructor

## ◆ WKSSubDocument() [2/2]

WKSSubDocument::WKSSubDocument | ( | const WKSSubDocument & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

WKSSubDocument & WKSSubDocument::operator= | ( | const WKSSubDocument & |  | ) |
| privatedelete

## ◆ operator==()

bool WKSSubDocument::operator== | ( | std::shared_ptr< WPSSubDocument > const & | doc | ) | const
| overridevirtual

an operator =

Reimplemented from WPSSubDocument.

## ◆ parse()

virtual void WKSSubDocument::parse | ( | std::shared_ptr< WKSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType )
| pure virtual

virtual parse function

this function is called to parse the subdocument

Implemented in LotusGraphInternal::SubDocument, LotusSpreadsheetInternal::SubDocument, Quattro9GraphInternal::SubDocument, Quattro9ParserInternal::SubDocument, QuattroDosParserInternal::SubDocument, QuattroGraphInternal::SubDocument, QuattroParserInternal::SubDocument, WKS4ParserInternal::SubDocument, and WKSChartInternal::SubDocument.

Referenced by WKSContentListener::handleSubDocument().

## ◆ parser()

WKSParser * WKSSubDocument::parser | ( |  | ) | const
| inline

returns the parser

## Member Data Documentation

## ◆ m_parser

WKSParser* WKSSubDocument::m_parser
| protected

Referenced by operator==(), Quattro9ParserInternal::SubDocument::parse(), QuattroDosParserInternal::SubDocument::parse(), QuattroParserInternal::SubDocument::parse(), WKS4ParserInternal::SubDocument::parse(), parser(), and WKSSubDocument().

The documentation for this class was generated from the following files:

- WKSSubDocument.h
- WKSSubDocument.cpp